import { OnInit, OnDestroy } from '@angular/core';
import { UxAppShellService } from '@eui/core';
import * as i0 from "@angular/core";
export declare class EuiAppHeaderComponent implements OnInit, OnDestroy {
    asService: UxAppShellService;
    get cssClasses(): string;
    role: string;
    isShrinkHeaderActive: boolean;
    isHeaderShrinked: boolean;
    private destroy$;
    constructor(asService: UxAppShellService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private getCssClasses;
    static ɵfac: i0.ɵɵFactoryDef<EuiAppHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiAppHeaderComponent, "eui-app-header", never, { "isShrinkHeaderActive": "isShrinkHeaderActive"; }, {}, never, ["eui-header"]>;
}
